#pragma once

#include "CoreMinimal.h"
#include "ChallengeTooltipViewData.generated.h"

USTRUCT(BlueprintType)
struct FChallengeTooltipViewData
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FText ChallengeSubtitle;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TArray<FString> ObjectivesInfo;

public:
	DBDUIVIEWINTERFACES_API FChallengeTooltipViewData();
};

FORCEINLINE uint32 GetTypeHash(const FChallengeTooltipViewData) { return 0; }
